Subject: Re: [Sigtran] SIGTRAN - M2PA draft 10 - T7 timer at Busy End

From: Tom George <[email-masked]>
Date: Mon, 05 Jan 2004 11:24:49 -0600

Brian et al,

Should I make that clear in the text when I get a chance to revise it?

tomG.

Brian F. G. Bidulock wrote:
> Franck,
> 
> T7 is never restarted.  It is only started or stopped (or expires).
> 
> Where it says start, read: "start for all outstanding messages".
> 
> Where it says stop, read: "stopped for all outstanding messages".
> 
> Where it says expires, read: "expires for any message".
> 
> --brian
> 
> Franck Boesch wrote:                                                                (Wed, 24 Dec 2003 10:45:22)
> 
>>Hello,
>>
>>M2PA Draft 10 says:
>>
>>--------------------------------------------------------------------------------
>>4.2.1  Sending and receiving messages::
>>...
>>Because propagation delays in IP networks are more variable than in
>>traditional SS7 networks, a single T7 timer (excessive delay of
>>acknowledgement) as in MTP2 is inadequate. If any message is
>>unacknowledged after a period equal to the T7 value, the T7 timer
>>SHALL expire.
>>
>>4.1.5 Level 2 Flow Control:
>>...
>>When the peer M2PA receives the first Link Status Busy message, it
>>SHALL start the Remote Congestion timer T6 if there are messages in
>>the retransmission buffer awaiting acknowledgement (i.e., T7 is
>>running).  In addition, M2PA SHALL stop the T7 timer if it is running.
>>Additional Link Status Busy messages received while T6 is running do
>>not cause T6 to be reset and do not cause T7 to be started.  Also,
>>while T6 is running, T7 SHALL NOT be started.
>>
>>When the peer M2PA receives the Link Status Busy Ended message and T6
>>has not expired, it SHALL stop T6 if T6 is running and start T7 if
>>there are messages awaiting acknowledgement in the retransmission
>>buffer.
>>...
>>--------------------------------------------------------------------------------
>>
>>
>>My question is the following:
>>
>>At the Busy End (Link Status Busy Ended message receive), we may have several messages transmitted but waiting for acknowledgement. These messages may have been transmitted at different times. How do we restart T7 for each message ?
>>
>>Should I understand that at the beginning of the busy condition (Link Status Busy message receive), T7 should be "suspended" (if running) and then "resumed" at Busy End  (for all transmitted but not acknowledged messages)?
>>
>>Thanks,
>>
>>Franck Boesch.
>>
>>
>>
>>_______________________________________________
>>Sigtran mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/sigtran
> 
> 

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
*   I actively disclaim speaking for Alcatel.  I do not purport to    *
*   advertise or represent its position, operations, or activities.   *

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran